=== modified file 'build.sh'
--- build.sh	2016-08-11 06:22:51 +0000
+++ build.sh	2017-02-02 16:19:55 +0000
@@ -1,5 +1,21 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 SETUP=false
 CLEAN=false
 NUM_JOBS=$(( `grep -c ^processor /proc/cpuinfo` + 1 ))

=== modified file 'po/update-unity-pot'
--- po/update-unity-pot	2016-04-29 01:24:00 +0000
+++ po/update-unity-pot	2017-02-02 16:19:55 +0000
@@ -1,4 +1,21 @@
 #!/bin/sh
+
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 set -e
 cd $(dirname $0)
 PO_DIR=$PWD

=== modified file 'qml/Launcher/MoreAppsHeader.qml'
--- qml/Launcher/MoreAppsHeader.qml	2017-01-09 11:29:49 +0000
+++ qml/Launcher/MoreAppsHeader.qml	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
+/*
+ * Copyright (C) 2017 Canonical, Ltd.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 import QtQuick 2.4
 import Ubuntu.Components 1.3
 

=== modified file 'qml/Stage/StageMaths.qml'
--- qml/Stage/StageMaths.qml	2016-11-14 16:56:25 +0000
+++ qml/Stage/StageMaths.qml	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
+/*
+ * Copyright (C) 2017 Canonical, Ltd.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 import QtQuick 2.4
 import Unity.Application 0.1
 import Ubuntu.Components 1.3

=== modified file 'qml/Stage/WindowInfoItem.qml'
--- qml/Stage/WindowInfoItem.qml	2016-09-19 13:16:50 +0000
+++ qml/Stage/WindowInfoItem.qml	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
+/*
+ * Copyright (C) 2017 Canonical, Ltd.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 import QtQuick 2.4
 import Ubuntu.Components 1.3
 

=== modified file 'tests/CMakeLists.txt'
--- tests/CMakeLists.txt	2017-01-24 07:43:35 +0000
+++ tests/CMakeLists.txt	2017-02-02 16:19:55 +0000
@@ -143,3 +143,4 @@
 add_subdirectory(qmltests)
 add_subdirectory(whitespace)
 add_subdirectory(imports)
+add_subdirectory(copyright)

=== modified file 'tests/copyright/check_copyright.sh'
--- tests/copyright/check_copyright.sh	2015-11-09 19:03:38 +0000
+++ tests/copyright/check_copyright.sh	2017-02-02 16:19:55 +0000
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 #
-# Copyright (C) 2013 Canonical Ltd
+# Copyright (C) 2017 Canonical Ltd
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as
@@ -15,8 +15,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# Authored by: Michi Henning <michi.henning@canonical.com>
-#
 
 #
 # Check that, somewhere in the first 30 lines of each file, the string "Copyright" (case independent) appears.
@@ -33,7 +31,38 @@
 [ $# -lt 1 ] && usage
 [ $# -gt 2 ] && usage
 
-ignore_pat="\\.sci$"
+# image files
+ignore_pat="\\.sci$|\\.svg$|\\.png$|\\.jpg$"
+# git/bzr files
+ignore_pat="$ignore_pat|/\\.bzr/|\\.bzrignore$|\\.gitignore$|/\\.bazaar/Makefile$|/\\.bzr-builddeb/default\\.conf$"
+# info files
+ignore_pat="$ignore_pat|/README$|/CODING$|/LGPL_EXCEPTION\\.txt$"
+# cmake files
+ignore_pat="$ignore_pat|/CMakeLists\\.txt$|\\.cmake$"
+# card creator test files
+ignore_pat="$ignore_pat|/cardcreator/.*\\.res$|/cardcreator/.*\\.res\\.cardcreator$|/cardcreator/.*\\.tst$"
+# project files
+ignore_pat="$ignore_pat|/\\.project$|/\\.pydevproject$|/\\.settings/|/\\.crossbuilder/"
+# test desktop files
+ignore_pat="$ignore_pat|/tests/.*/.*\\.desktop$"
+# xml files
+ignore_pat="$ignore_pat|\\.xml$"
+# /data/ files
+ignore_pat="$ignore_pat|/data/.*\\.conf$|/data/.*\\.in|/data/.*\\.url-dispatcher$|/data/.*\\.pkla$"
+# polkit files
+ignore_pat="$ignore_pat|\\.pkla$"
+# /debian/ files
+ignore_pat="$ignore_pat|/debian/"
+# qmldir files
+ignore_pat="$ignore_pat|/qmldir$"
+# Doxygen files
+ignore_pat="$ignore_pat|/Doxyfile.in$"
+# Wizard license files
+ignore_pat="$ignore_pat|/Wizard/licenses/.*\\.html$"
+# qrc files
+ignore_pat="$ignore_pat|\\.qrc$"
+# the doc devices.conf file
+ignore_pat="$ignore_pat|/doc/devices\\.conf$"
 
 #
 # We don't use the -i option of licensecheck to add ignore_dir to the pattern because Jenkins creates directories

=== modified file 'tests/mocks/Unity/Indicators/fakeindicatorsmodeldata.js'
--- tests/mocks/Unity/Indicators/fakeindicatorsmodeldata.js	2016-11-28 13:46:55 +0000
+++ tests/mocks/Unity/Indicators/fakeindicatorsmodeldata.js	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
+/*
+ * Copyright (C) 2017 Canonical, Ltd.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 var usageScenario = (typeof shell != 'undefined') ? shell.usageScenario : "desktop";
 
 var fakeMenuData = {

=== modified file 'tests/qmltests/ApplicationMenuDataLoader.qml'
--- tests/qmltests/ApplicationMenuDataLoader.qml	2017-01-18 09:48:28 +0000
+++ tests/qmltests/ApplicationMenuDataLoader.qml	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
+/*
+ * Copyright 2017 Canonical Ltd.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 import QtQuick 2.4
 import Ubuntu.Components 1.3
 import Unity.Application 0.1

=== modified file 'tests/scripts/alert-launcher-icon.sh'
--- tests/scripts/alert-launcher-icon.sh	2015-11-06 01:58:25 +0000
+++ tests/scripts/alert-launcher-icon.sh	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 qdbus com.canonical.Unity.Launcher /com/canonical/Unity/Launcher/$1 com.canonical.Unity.Launcher.Item.Alert

=== modified file 'tests/scripts/get-progress.sh'
--- tests/scripts/get-progress.sh	2015-11-06 02:00:13 +0000
+++ tests/scripts/get-progress.sh	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 qdbus com.canonical.Unity.Launcher /com/canonical/Unity/Launcher/$1 org.freedesktop.DBus.Properties.Get com.canonical.Unity.Launcher.Item progress

=== modified file 'tests/scripts/list-launcher-icons.sh'
--- tests/scripts/list-launcher-icons.sh	2015-11-06 02:00:13 +0000
+++ tests/scripts/list-launcher-icons.sh	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 qdbus com.canonical.Unity | grep Launcher | cut -f6 -d/

=== modified file 'tests/scripts/set-count-visible.sh'
--- tests/scripts/set-count-visible.sh	2015-11-06 02:00:13 +0000
+++ tests/scripts/set-count-visible.sh	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 qdbus com.canonical.Unity.Launcher /com/canonical/Unity/Launcher/$1 org.freedesktop.DBus.Properties.Set com.canonical.Unity.Launcher.Item countVisible $2

=== modified file 'tests/scripts/set-count.sh'
--- tests/scripts/set-count.sh	2015-11-06 02:00:13 +0000
+++ tests/scripts/set-count.sh	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 qdbus com.canonical.Unity.Launcher /com/canonical/Unity/Launcher/$1 org.freedesktop.DBus.Properties.Set com.canonical.Unity.Launcher.Item count $2

=== modified file 'tests/scripts/set-progress.sh'
--- tests/scripts/set-progress.sh	2015-11-06 02:00:13 +0000
+++ tests/scripts/set-progress.sh	2017-02-02 16:19:55 +0000
@@ -1,3 +1,19 @@
 #!/bin/sh
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 qdbus com.canonical.Unity.Launcher /com/canonical/Unity/Launcher/$1 org.freedesktop.DBus.Properties.Set com.canonical.Unity.Launcher.Item progress $2

=== modified file 'tools/unlock-device'
--- tools/unlock-device	2015-11-06 02:00:13 +0000
+++ tools/unlock-device	2017-02-02 16:19:55 +0000
@@ -1,6 +1,22 @@
 #!/bin/bash
 # -*- Mode: sh; indent-tabs-mode: nil; tab-width: 4 -*-
 
+#
+# Copyright (C) 2017 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
 # Our goal here is to get an Ubuntu Touch device into a testable unlocked state.
 # This will include a reboot.
 

